Bug 989478 - [abrt] BUG: unable to handle kernel NULL pointer dereference at 0000000000000008
[abrt] BUG: unable to handle kernel NULL pointer dereference at 0000000000000008
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
abrt_hash:0450d31cd168bd48d322f9487a1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-29 06:44 EDT by Josep
Modified: 2013-08-19 11:30 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-19 11:30:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dmesg (67.69 KB, text/plain)
2013-07-29 06:44 EDT, Josep
no flags Details

  None (edit)
Description Josep 2013-07-29 06:44:30 EDT
Additional info:
reporter:       libreport-2.1.5
BUG: unable to handle kernel NULL pointer dereference at 0000000000000008
IP: [<ffffffffa0454954>] nlmclnt_setlockargs+0xb4/0x190 [lockd]
PGD 0 
Oops: 0000 [#1] SMP 
Modules linked in: fuse ebtable_nat nfsv3 nfs_acl rpcsec_gss_krb5 auth_rpcgss nfsv4 nfs lockd sunrpc dns_resolver fscache nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT bnep bluetooth rfkill nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack ebtable_filter ebtables ip6table_filter ip6_tables snd_hda_codec_analog snd_hda_intel snd_hda_codec mperf coretemp snd_hwdep snd_seq snd_seq_device snd_pcm snd_page_alloc snd_timer snd iTCO_wdt iTCO_vendor_support soundcore kvm_intel kvm tg3 ppdev ptp parport_pc pps_core lpc_ich dcdbas microcode i2c_i801 serio_raw mfd_core parport uinput i915 video i2c_algo_bit drm_kms_helper drm i2c_core
CPU: 1 PID: 2809 Comm: gdbus Not tainted 3.10.3-300.fc19.x86_64 #1
Hardware name: Dell Inc.                 OptiPlex 745                 /0KW626, BIOS 2.6.2  08/12/2008
task: ffff88021b116ac0 ti: ffff88020c48a000 task.ti: ffff88020c48a000
RIP: 0010:[<ffffffffa0454954>]  [<ffffffffa0454954>] nlmclnt_setlockargs+0xb4/0x190 [lockd]
RSP: 0018:ffff88020c48ba90  EFLAGS: 00010246
RAX: ffff88021b116ac0 RBX: ffff88022f16a400 RCX: 000000000000a3c0
RDX: 0000000000000000 RSI: 000000000000004a RDI: ffff88022f16a754
RBP: ffff88020c48baa0 R08: ffff88022e0b3540 R09: ffff880208532000
R10: ffffffffa0455562 R11: ffff880208532010 R12: ffff88020c48bb90
R13: 0000000000000007 R14: ffff8802053f28c0 R15: ffff88022393bc00
FS:  00007f8b94c1c700(0000) GS:ffff88023bc40000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000008 CR3: 0000000001c0c000 CR4: 00000000000007e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Stack:
 ffff88022f16a400 ffff88020c48bb90 ffff88020c48bb00 ffffffffa0455387
 0000000000000000 ffff8802053f28c0 ffff88022393bdb8 ffff88022393bdc8
 ffff88022393bdb8 ffff880208532000 ffff88020c48bb90 0000000000000000
Call Trace:
 [<ffffffffa0455387>] nlmclnt_proc+0xe7/0x7f0 [lockd]
 [<ffffffffa04e41b1>] nfs3_proc_lock+0x21/0x30 [nfsv3]
 [<ffffffffa047a32c>] do_unlk+0x8c/0xc0 [nfs]
 [<ffffffffa047a6c5>] nfs_flock+0x95/0xf0 [nfs]
 [<ffffffff811e3ace>] locks_remove_flock+0x9e/0x130
 [<ffffffff811990dd>] __fput+0xbd/0x230
 [<ffffffff8119930e>] ____fput+0xe/0x10
 [<ffffffff8107d77c>] task_work_run+0xbc/0xe0
 [<ffffffff81061bbc>] do_exit+0x2bc/0xa20
 [<ffffffff811a9f50>] ? poll_schedule_timeout+0x70/0x70
 [<ffffffff8106239f>] do_group_exit+0x3f/0xa0
 [<ffffffff8107085c>] get_signal_to_deliver+0x1cc/0x5d0
 [<ffffffff8128b86c>] ? selinux_file_alloc_security+0x3c/0x60
 [<ffffffff81011428>] do_signal+0x48/0x5a0
 [<ffffffff810119f0>] do_notify_resume+0x70/0xa0
 [<ffffffff81651ad2>] int_signal+0x12/0x17
Code: 48 83 c2 02 a8 01 74 07 0f b6 04 16 88 04 17 65 48 8b 04 25 00 c7 00 00 48 8b 90 88 04 00 00 48 8d bb 54 03 00 00 be 4a 00 00 00 <48> 8b 52 08 48 89 bb d0 00 00 00 48 83 c2 45 48 89 53 38 48 8b 
RIP  [<ffffffffa0454954>] nlmclnt_setlockargs+0xb4/0x190 [lockd]
 RSP <ffff88020c48ba90>
CR2: 0000000000000008
Comment 1 Josep 2013-07-29 06:44:36 EDT
Created attachment 779746 [details]
File: dmesg
Comment 2 John Kissane 2013-07-30 05:02:36 EDT
Description of problem:
Not sure!

Version-Release number of selected component:
kernel

Additional info:
reporter:       libreport-2.1.5
cmdline:        BOOT_IMAGE=/boot/vmlinuz-3.10.3-300.fc19.x86_64 root=UUID=c9d3e132-7393-4448-8cd5-4da4ae69b79d ro rd.md=0 rd.lvm=0 rd.dm=0 rd.luks=0 vconsole.font=latarcyrheb-sun16 vconsole.keymap=uk rhgb quiet LANG=en_IE
kernel:         3.10.3-300.fc19.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
BUG: unable to handle kernel NULL pointer dereference at 0000000000000008
IP: [<ffffffffa04a3954>] nlmclnt_setlockargs+0xb4/0x190 [lockd]
PGD 0 
Oops: 0000 [#1] SMP 
Modules linked in: ebtable_nat xt_CHECKSUM nfsv3 nfs_acl tun bridge stp llc rpcsec_gss_krb5 auth_rpcgss nfsv4 nfs lockd sunrpc dns_resolver fscache ppdev parport_pc parport fuse nf_conntrack_netbios_ns nf_conntrack_broadcast ipt_MASQUERADE ip6table_nat nf_nat_ipv6 ip6table_mangle ip6t_REJECT nf_conntrack_ipv6 nf_defrag_ipv6 iptable_nat nf_nat_ipv4 nf_nat iptable_mangle nf_conntrack_ipv4 nf_defrag_ipv4 xt_conntrack nf_conntrack bnep bluetooth rfkill ebtable_filter ebtables ip6table_filter ip6_tables vsock snd_hda_codec_hdmi snd_hda_codec_realtek iTCO_wdt iTCO_vendor_support snd_hda_intel snd_hda_codec snd_hwdep snd_seq snd_seq_device snd_pcm snd_page_alloc snd_timer snd mperf coretemp kvm_intel soundcore kvm lpc_ich e1000e crc32_pclmul crc32c_intel mfd_core ghash_clmulni_intel ptp dcdbas i2c_i801 pps_core serio_raw microcode binfmt_misc uinput i915 i2c_algo_bit drm_kms_helper drm i2c_core video
CPU: 1 PID: 3292 Comm: pool Not tainted 3.10.3-300.fc19.x86_64 #1
Hardware name: Dell Inc. OptiPlex 990/06D7TR, BIOS A17 03/14/2013
task: ffff8803fbee9e80 ti: ffff8803eaae2000 task.ti: ffff8803eaae2000
RIP: 0010:[<ffffffffa04a3954>]  [<ffffffffa04a3954>] nlmclnt_setlockargs+0xb4/0x190 [lockd]
RSP: 0018:ffff8803eaae3a90  EFLAGS: 00010246
RAX: ffff8803fbee9e80 RBX: ffff8804099bc800 RCX: 0000000000009580
RDX: 0000000000000000 RSI: 000000000000004a RDI: ffff8804099bcb54
RBP: ffff8803eaae3aa0 R08: ffff8803df9e3480 R09: ffff8803fb19db00
R10: ffffffffa04a4562 R11: ffff8803fb19db10 R12: ffff8803eaae3b90
R13: 0000000000000007 R14: ffff8803a91d4e80 R15: ffff880414e77c00
FS:  00007f366dd7c700(0000) GS:ffff88042dc20000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 0000000000000008 CR3: 0000000001c0c000 CR4: 00000000000407e0
DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Stack:
 ffff8804099bc800 ffff8803eaae3b90 ffff8803eaae3b00 ffffffffa04a4387
 0000000000000000 ffff8803a91d4e80 ffff880414e77db8 ffff880414e77dc8
 ffff880414e77db8 ffff8803fb19db00 ffff8803eaae3b90 0000000000000000
Call Trace:
 [<ffffffffa04a4387>] nlmclnt_proc+0xe7/0x7f0 [lockd]
 [<ffffffffa05531b1>] nfs3_proc_lock+0x21/0x30 [nfsv3]
 [<ffffffffa04c932c>] do_unlk+0x8c/0xc0 [nfs]
 [<ffffffffa04c96c5>] nfs_flock+0x95/0xf0 [nfs]
 [<ffffffff811e3ace>] locks_remove_flock+0x9e/0x130
 [<ffffffff811990dd>] __fput+0xbd/0x230
 [<ffffffff8119930e>] ____fput+0xe/0x10
 [<ffffffff8107d77c>] task_work_run+0xbc/0xe0
 [<ffffffff81061bbc>] do_exit+0x2bc/0xa20
 [<ffffffffa045a350>] ? rpc_put_task+0x10/0x20 [sunrpc]
 [<ffffffff8106239f>] do_group_exit+0x3f/0xa0
 [<ffffffff8107085c>] get_signal_to_deliver+0x1cc/0x5d0
 [<ffffffff81011428>] do_signal+0x48/0x5a0
 [<ffffffff81093a46>] ? __dequeue_entity+0x26/0x40
 [<ffffffff810105f1>] ? __switch_to+0x181/0x4a0
 [<ffffffff810119f0>] do_notify_resume+0x70/0xa0
 [<ffffffff81651ad2>] int_signal+0x12/0x17
Code: 48 83 c2 02 a8 01 74 07 0f b6 04 16 88 04 17 65 48 8b 04 25 00 c7 00 00 48 8b 90 88 04 00 00 48 8d bb 54 03 00 00 be 4a 00 00 00 <48> 8b 52 08 48 89 bb d0 00 00 00 48 83 c2 45 48 89 53 38 48 8b 
RIP  [<ffffffffa04a3954>] nlmclnt_setlockargs+0xb4/0x190 [lockd]
 RSP <ffff8803eaae3a90>
CR2: 0000000000000008
Comment 3 Darryl Bond 2013-08-01 18:29:46 EDT
Seeing this oops in 3.10.3-300.fc19.x86_64 but does not occur in 3.9.9-302.fc19.x86_64 or before.
Occurs on mount and umount of an NFSv3 filesystem.

Can no longer suspend as oops occurs when going into suspend.

NFSv3 seems to work fine otherwise.
Comment 4 Josep 2013-08-02 06:45:50 EDT
I can confirm what Darryl says in Comment #3, and NFSv3 seems to work fine here too.

Add as well that the issue is still present in 3.10.4-300.fc19.x86_64 (updated today), same stack trace.
Comment 5 Salvador Ortiz 2013-08-07 04:50:25 EDT
I'm seeing the same problem, with both 3.10.[34]-300.fc19-x86_64

I'm using nis/autofs for my home dirs, so the fault occurs multiple times when gdm starts.

Full logs available on request.
Comment 6 Mike Stevens 2013-08-09 22:25:03 EDT
I'm also seeing this but and am running autofs without nis.  I only have a few home dirs, so I;ll hard mount them and see if the problem goes away.
Comment 7 Mike Stevens 2013-08-09 23:43:41 EDT
It does not appear to be a problem with mount in my case.  I've hard mounted my home directories and I can reboot without the panic.  Once I login to gnome, the kernel panics.  I've rolled back to 3.9.9.302, which does not crash.
Comment 8 Josep 2013-08-12 04:12:04 EDT
I just updated to kernel 3.10.5-201.fc19.x86_64 and the issue is still there, the stack trace is the same as before.
Comment 9 Michele Baldessari 2013-08-17 17:55:13 EDT
Can you test v3.10.7 as that contains 870bfc6b47ecf64845dbf8e5d7a09877998e1b69 (linux-stable commit) which is  9a1b6bf818e74bb7aabaecb59492b739f2f4d742 upstream and confirm if it works or not?

A 3.10.7 build can be found here:
http://koji.fedoraproject.org/koji/buildinfo?buildID=456944
Comment 10 Mike Stevens 2013-08-18 12:30:09 EDT
I've updated to 3.10.7-200.fc19.x86_64 #1 SMP Thu Aug 15 23:19:45, and the kernel panic has disappeared.  When does this go into the production kernel?  Thanks!
Comment 11 Josep 2013-08-19 03:33:21 EDT
I've also updated to kernel 3.10.7-200.fc19.x86_64, and I can also confirm that the panic has disappeared.
Oh, and this seems to have hit the updates repos alrady. Thanks!

Note You need to log in before you can comment on or make changes to this bug.